KDE 3.4.1

KDE 3.4.1 出好久了, 不過本來沒有想要換的, 只是不小心換到 3.4.1

原來只是要加上 “kwifimanager”, 這個在 gentoo 內要 USE=”wifi” emerge kdenetwork.
所以我就重編了一下 kdenetwork, 一時不察, 沒有發現到 unstable version 己經換到 kde 3.4.1 了. artd 己經換到新版, 頭洗一半, 只好換到新版…….

沒有想到在 kdenetwork 的地方 compile 失敗. Error Message 如下.

Interface_wireless_wirelessextensions::poll_device_info()’:
interface_wireless_wirelessextensions.cpp:421: error: `iw_pr_ether’ undeclared
(first use this function)
interface_wireless_wirelessextensions.cpp:421: error: (Each undeclared
identifier is reported only once for each function it appears in.)

Change the wireless-tools to version 27, don’t using 28_PREX . 應該可以 compile 過.

ref. https://bugs.kde.org/show_bug.cgi?id=106623

On this day..

Comments

comments

Related Posts

Leave a Comment


NOTE - You can use these HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>